Bug 1198710 - udunits2 package needs source update for epel ppc64le
Summary: udunits2 package needs source update for epel ppc64le
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: udunits2
Version: epel7
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: epel7ppc64le
TreeView+ depends on / blocked
 
Reported: 2015-03-04 16:52 UTC by Menanteau Guy
Modified: 2015-09-21 01:51 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-09-21 01:51:37 UTC


Attachments (Terms of Use)
udunits2-2.2.18-1.el7 build.log (36.28 KB, text/plain)
2015-04-16 09:24 UTC, Menanteau Guy
no flags Details
udunits2-2.2.18-1.el7 root.log (18.37 KB, text/plain)
2015-04-16 09:26 UTC, Menanteau Guy
no flags Details

Description Menanteau Guy 2015-03-04 16:52:49 UTC
Source package udunits2-2.1.24-4 used by EPEL7 does not support ppc64le.
A newer version supporting this architecture should be used instead.

Comment 1 Fedora Update System 2015-03-04 23:48:29 UTC
udunits2-2.2.18-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/udunits2-2.2.18-1.el7

Comment 2 Fedora Update System 2015-03-08 22:48:28 UTC
Package udunits2-2.2.18-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing udunits2-2.2.18-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-1162/udunits2-2.2.18-1.el7
then log in and leave karma (feedback).

Comment 3 Menanteau Guy 2015-04-15 17:16:09 UTC
I still have the following problem, building udunits2-2.2.18-1.el7 on ppc64le epel7 mock environment:

/builddir/build/BUILD/udunits-2.2.18/build-aux/missing: line 52: makeinfo: command not found
WARNING: `makeinfo' is missing on your system.  You should only need it if
         you modified a `.texi' or `.texinfo' file, or any other file
         indirectly affecting the aspect of the manual.  The spurious
         call might also be the consequence of using a buggy `make' (AIX,
         DU, IRIX).  You might want to install the `Texinfo' package or
         the `GNU make' package.  Grab either from any GNU archive site.
make[1]: Leaving directory `/builddir/build/BUILD/udunits-2.2.18'
make[1]: *** [udunits2.html] Error 1
make: *** [install-html-recursive] Error 1

adding BuildRequires: texinfo-tex
in spec make the "makeinfo" available and the build ok.


I looked to udunits2-2.2.18-1.el7 on ppc64 and udunits2-2.2.18-1-fc22 on ppc64le successful builds and they both build without needs of texinfo package (no trace in root.log).
I guess problem is comming from the epel7 ppc64le environment but I don't have a clue of what is wrong.
I will investigate further by building on two machines and compare generated makefiles. 
Any idea of what could lead to this different behaviour ?

Comment 4 Orion Poplawski 2015-04-16 02:33:21 UTC
Seems like something is triggering a rebuild that's not necessary.  Could you post a link to the full build logs?

Comment 5 Menanteau Guy 2015-04-16 09:24:54 UTC
Created attachment 1015111 [details]
udunits2-2.2.18-1.el7 build.log

build.log file. No link as ppc64le epel7 is local environment for now.

Comment 6 Menanteau Guy 2015-04-16 09:26:18 UTC
Created attachment 1015112 [details]
udunits2-2.2.18-1.el7 root.log

root.log file. No link as ppc64le epel7 is local environment for now.

Comment 7 Menanteau Guy 2015-04-17 13:28:38 UTC
I found something strange, at the top of the build.log there is a mismatch between elf64ppc and elf64lppc.

+ export LDFLAGS
+ '[' 1 == 1 ']'
+ '[' ppc64le == ppc64le ']'
+ /usr/lib/rpm/redhat/libtool-handle-ppc64le.sh
Broken -m elf64ppc use in ./m4/libtool.m4 should handle elf64lppc.
Attempting automatic fix.
Fixed ./m4/libtool.m4 for ld -m ppc64le support.
Broken -m elf64ppc use in ./configure should handle elf64lppc.
Attempting automatic fix.
Fixed ./configure for ld -m ppc64le support.

not sure problem comes from this but I need to understand where is commong from  in epel7 ppc64le environment.

Comment 8 Menanteau Guy 2015-04-17 13:45:05 UTC
bug is not relative to this elf mismatch. Automatic fixes seems to be applied successfully.

Comment 9 Orion Poplawski 2015-04-17 13:49:54 UTC
I still suspect it may be a trigger.  It seems that something is triggering a rebuild that isn't done on other arches.  I'm also fine with adding needed BRs.

Comment 10 Fedora Update System 2015-09-21 01:51:35 UTC
udunits2-2.2.18-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.